# Enum BrowserComponent.JSType

java.lang.Object
java.lang.Enum<BrowserComponent.JSType>
com.codename1.ui.BrowserComponent.JSType

All Implemented Interfaces:
  `Comparable<BrowserComponent.JSType>`

Enclosing class:
  `BrowserComponent`

public static enum BrowserComponent.JSType extends Enum<BrowserComponent.JSType>
Enum with the possible types for a `JSRef` object.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOOLEAN`
  `FUNCTION`
  `NUMBER`
  `OBJECT`
  `STRING`
  `UNDEFINED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BrowserComponent.JSType`
  `get(String type)`
  Gets the corresponding JSType for the given string type.
  `static BrowserComponent.JSType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static BrowserComponent.JSType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OBJECT

    public static final BrowserComponent.JSType OBJECT

  - ### FUNCTION

    public static final BrowserComponent.JSType FUNCTION

  - ### NUMBER

    public static final BrowserComponent.JSType NUMBER

  - ### STRING

    public static final BrowserComponent.JSType STRING

  - ### UNDEFINED

    public static final BrowserComponent.JSType UNDEFINED

  - ### BOOLEAN

    public static final BrowserComponent.JSType BOOLEAN

- ## Method Details

  - ### values

    public static BrowserComponent.JSType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static BrowserComponent.JSType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### get

    public static BrowserComponent.JSType get(String type)

    Gets the corresponding JSType for the given string type.

    ###### Parameters

    - `type`: The string type as returned by the typeof operator. Possible input values are 'object', 'function', 'number', 'boolean', and 'undefined'

    ###### Returns

    the enum corresponding to the type